<?php

// setup module data
if(isset($_GET['module'])) eduhack_setup_data( (int)$_GET['module'] );

// get module ID
$module_id = eduhack_get('module_id'); 
?>

<div class="wrap">
		
	<div id="icon-plugins" class="icon32"><br></div>

	<h2>EduHack - <?php ($module_id>0)?_e('Edit Module', 'eduhack'):_e('Add New Module', 'eduhack'); ?>
	<?php if( @$module_id ) { ?>
		<a href="<?php echo get_permalink($module_id) ?>" class="add-new-h2" target="_blank"><?php _e('View page', 'eduhack') ?></a>
	<?php } ?>
	</h2>
	
	<form action="" method="post">
		<?php wp_nonce_field('_eduhack_module_'.$module_id, 'nonce'); ?>
		<input type="hidden" name="module_id" value="<?php echo $module_id ?>" />
		<div id="poststuff">
			<div id="post-body-content">
				
				<?php if( $courses = eduhack_get_courses()): ?>
				<div id="titlediv">
					<select name="course_id">
						<option value="">[<?php echo _e('Select a course', 'eduhack'); ?>]</option>
						<?php foreach( $courses as $course ) { ?>
							<option value="<?php echo $course->ID; ?>" <?php eduhack_selected('course_id', $course->ID) ?>>
								<?php echo $course->post_title; ?>
							</option>
						<?php } ?>
					</select>
				</div>
				<?php endif; ?>
				
				<?php if( $levels = eduhack_get_levels( $_GET['course'] )) : ?>
				<div id="titlediv">
					<select name="level">
						<option value="">[<?php echo _e('Select a level', 'eduhack'); ?>]</option>
						<?php foreach( $levels as $level=>$name ) { ?>
							<option value="<?php echo $level; ?>" <?php eduhack_selected('level', $level) ?>>
								<?php echo $name; ?>
							</option>
						<?php } ?>
					</select>
				</div>
				<?php endif; ?>

				<div id="titlediv">
					<input type="text" name="color" value="<?php echo eduhack_get('color') ?>" class="color-picker"
							autocomplete="off" placeholder="<?php _e('Module color', 'eduhack') ?>" />
				</div>

				<div id="postbox-container-2" class="postbox-container">
				<div id="titlediv">
					<div id="titlewrap">
						<input type="text" name="name" size="30" value="<?php echo eduhack_get('title') ?>" id="title"
							autocomplete="off" placeholder="<?php _e('Enter module name here', 'eduhack') ?>" />
					</div>
				</div>

				<div id="postbox-container-2" class="postbox-container">
					<div id="normal-sortables" class="meta-box-sortables ui-sortable">
						<?php wp_editor( eduhack_get('description'), 'description' ) ?>
					</div>
				</div>
				
				<div>&nbsp;</div>
				
				<div id="postbox-container-2" class="postbox-container">
					<div id="normal-sortables" class="meta-box-sortables ui-sortable">
						<div id="postexcerpt" class="postbox ">
							<h3 class="hndle">
								<span><?php _e('Requirements', 'eduhack') ?></span>
							</h3>
							<div class="inside">
								<?php $modules = eduhack_get_modules( $_GET['course'], $module_id );
								
								foreach( $modules as $module ) {
									$module_name = $module->post_title;
									echo '<label><input name="require[]" type="checkbox" '.eduhack_checked($module->ID,0).'
											value="'.$module->ID.'" /> '.$module_name.'</label> <br />';
								}
								?>
							</div>
						</div>
					</div>
				</div>
				
			</div>
		</div>
		<p class="submit">
			<input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e('Save Module', 'eduhack')?>">
		</p>
	</form>
	
	<script>jQuery(function($){ $('.color-picker').wpColorPicker(); });</script>
	
</div>

