<?php

/* from: http://www.sean-barton.co.uk/2009/03/turning-an-array-or-object-into-xml-using-php/ */

function eduhack_generate_xml_from_array($array, $node_name) {
	$xml = '';

	if (is_array($array) || is_object($array)) {
		foreach ($array as $key=>$value) {
			if (is_numeric($key)) {
				$key = $node_name;
			}

			#$xml .= '<' . $key . '>' . "\n" . eduhack_generate_xml_from_array($value, $node_name) . '</' . $key . '>' . "\n";
			$xml .= "\t".'<' . $key . '>' . eduhack_generate_xml_from_array($value, $node_name) . '</' . $key . '>' . "\n";
		}
	} else {
		#$xml = htmlspecialchars($array, ENT_QUOTES) . "\n";
		$xml = htmlspecialchars($array, ENT_QUOTES);
	}

	return $xml;
}

function eduhack_array2xml($array, $node_block='nodes', $node_name='node') {
	$xml = '<?xml version="1.0" encoding="UTF-8" ?>' . "\n";

	$xml .= '<' . $node_block . '>' . "\n";
	$xml .= eduhack_generate_xml_from_array($array, $node_name);
	$xml .= '</' . $node_block . '>' . "\n";

	return $xml;
}

function eduhack_export( $course_id=0 ) {
	
	if( !is_numeric($course_id) || $course_id<=0 )
		return false;
	
	$course = get_post( $course_id );
	$modules = eduhack_get_modules( $course_id );
	$levels = eduhack_get_levels( $course_id );

	$level=0;
	$modules_sort = array();
	
	foreach( $modules as $k=>$module ) {
		eduhack_setup_data($module);

		//echo $level;
		if( $level<1 && (eduhack_get('level')=='0' || eduhack_get('level')=='1') )
			$level = 1;
		elseif( eduhack_get('level') > $level )
			$level = eduhack_get('level');
		
		$modules[$k]->level = $level;
		
		unset(
			#$modules[$k]->post_status,
			#$modules[$k]->comment_status,
			#$modules[$k]->ping_status,
			#$modules[$k]->post_modified,
			#$modules[$k]->post_modified_gmt,
			#$modules[$k]->post_content_filtered,
			#$modules[$k]->guid,
			$modules[$k]->post_type,
			$modules[$k]->post_author
			#$modules[$k]->post_mime_type,
			#$modules[$k]->filter,
		);
		
		$modules[$k]->require = get_post_meta( $module->ID, 'require', 1 );
		
		$modules_sort[$level][$module->ID] = $module;
		
	}
	
	$course = array(
		'post_title'    => $course->post_title,
		'post_excerpt'  => $course->post_excerpt,
		'post_content'  => $course->post_content,
		'post_type'  	=> EDUHACK_POSTTYPE,
		'modules'		=> $modules,
	);
	
	$xml = eduhack_array2xml($course);
	
	die();
	
}
